# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'blsm-mp-wx/version'

Gem::Specification.new do |spec|
  spec.name = "blsm-mp-wx"
  spec.version = BlsmMpWx::VERSION
  spec.authors = ["saxer"]
  spec.licenses = ["MIT"]
  spec.email = ["15201280641@qq.com"]

  spec.summary = %q{首趣微店微信公众号基本模块}
  spec.description = %q{包括access_token、js_api_ticket的获取，发送消息，模板消息，生成二维码，获取用户信息等。}
  spec.homepage = "https://bitbucket.org/Xiaopuzhu/blsm-mp-wx/"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features|config)/}) }
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rails", "~> 3.2"
  spec.add_development_dependency "mysql2", "~> 0.3.16"
  spec.add_development_dependency "activemodel", "~> 3.2"
  spec.add_development_dependency "activerecord", "~> 3.2"
  spec.add_development_dependency "activesupport", "~> 3.2"
  spec.add_development_dependency "faraday", "~> 0.9"
  spec.add_development_dependency "certified"
end
